<?php

class actionMypatchFileAdd extends cmsAction {
    
    public function run($patch_id=false){
        
        $is_admin = cmsUser::isAdmin();
        if (!$is_admin) { cmsCore::error404(); }
        if (!$patch_id) { cmsCore::error404(); }
                
        $errors = false;
        
        $mypatch_model = cmsCore::getModel('mypatch');
        
        $patch = $mypatch_model->getPatch($patch_id);
        
        $form = $this->getForm('file');
        
        $is_submitted = $this->request->has('submit');

        $file = $form->parse($this->request, $is_submitted);
       
        if ($is_submitted) {
            
            $errors = $form->validate($this, $file)   ;
         
            if (!$errors){
               $file['patch_id'] = $patch_id;
               $mypatch_error = $mypatch_model->addPatchFile($file);
               if ($mypatch_error['file_original'] == 1) {
               cmsUser::addSessionMessage(LANG_MYPATCH_ERRORS_NOFILE, 'error');
               }elseif ($mypatch_error['order_file'] == 1) {
               cmsUser::addSessionMessage(LANG_MYPATCH_ERRORS_ORDER_FILE, 'error');
               }elseif ($mypatch_error['shifts'] == 1) {
               cmsUser::addSessionMessage(LANG_MYPATCH_ERRORS_SHIFT, 'error');
               }elseif ($mypatch_error['shifts'] == 2) {
               cmsUser::addSessionMessage(LANG_MYPATCH_ERRORS_SHIFTS, 'error');
               }elseif ($mypatch_error['file_put']) {
               cmsUser::addSessionMessage(LANG_MYPATCH_ERRORS_ORIGINAL_CREATE, 'error');
               } else {
               $this->redirectToAction('files', array($patch_id)); 
               }
               
            }
            
            if ($errors){
                cmsUser::addSessionMessage(LANG_FORM_ERRORS, 'error');
                
            }
            
        }    
        

        return cmsTemplate::getInstance()->render('backend/file', array(
            'do' => 'add',
            'form' => $form,
            'file' => $file,
            'patch' => $patch,
            'patch_id' => $patch_id,
            'errors' => $errors
       ));
       
       
    }
    
}

