<?php

class actionMypatchPatchAjax extends cmsAction {

    public function run(){

        if (!$this->request->isAjax()) { cmsCore::error404(); }

        $is_admin = cmsUser::isAdmin();
        if (!$is_admin) { cmsCore::error404(); }
        
        $grid = $this->loadDataGrid('patch');

        $mypatch_model = cmsCore::getModel('mypatch');

        $mypatch_model->setPerPage(admin::perpage);

        $filter     = array();
        $filter_str = $this->request->get('filter', '');

        if ($filter_str){
            parse_str($filter_str, $filter);
            $mypatch_model->applyGridFilter($grid, $filter);
        }

        $total = $mypatch_model->getPatchsCount();
        $perpage = isset($filter['perpage']) ? $filter['perpage'] : admin::perpage;
        $pages = ceil($total / $perpage);

        $patchs = $mypatch_model->getPatchs();

        cmsTemplate::getInstance()->renderGridRowsJSON($grid, $patchs, $total, $pages);

        $this->halt();

    }

}
