<?php

class actionMypatchPatchEdit extends cmsAction {
    
    public function run($patch_id=false){

        $is_admin = cmsUser::isAdmin();
        if (!$is_admin) { cmsCore::error404(); }
        if (!$patch_id) { cmsCore::error404(); }

        $mypatch_model = cmsCore::getModel('mypatch');
        
        $patch = $mypatch_model->getPatch($patch_id);
        
        if (!$patch) { cmsCore::error404(); }
        
        $errors = false;
        
        $form = $this->getForm('patch');
        
        $is_submitted = $this->request->has('submit');

        if ($is_submitted) {
            
            $patch = $form->parse($this->request, $is_submitted);
            $errors = $form->validate($this, $patch)   ;
         
            if (!$errors){
               $mypatch_error = $mypatch_model->addPatch($patch, $patch_id);
               
               if ($mypatch_error['order_patch'] == 1) {
               cmsUser::addSessionMessage(LANG_MYPATCH_ERRORS_ORDER_PATCH, 'error');
               }else{
               $this->redirectToAction('index');                   
               }
            }
            
            if ($errors){
                cmsUser::addSessionMessage(LANG_FORM_ERRORS, 'error');
                
            }
            
        }    
        

        return cmsTemplate::getInstance()->render('backend/patch', array(
            'do' => 'edit',
            'form' => $form,
            'patch' => $patch,
            'errors' => $errors
       ));
       
       
    }
    
}

